- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Creates a new Instance in a given project and location.
HTTP request
POST https://mpc.googleapis.com/v1beta/{parent=projects/*/locations/*}/instances
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. Value for parent. It takes the form |
Query parameters
| Parameters | |
|---|---|
instanceId |
Required. The ID to use for the instance. The ID must be 1-63 characters long, start with a lowercase letter, end with a lowercase letter or number, and contain only lowercase letters, numbers, and hyphens. |
requestId |
Optional. An optional request ID to identify requests. Must be a valid UUID4. |
Request body
The request body contains an instance of Instance.
Response body
If successful, the response body contains a newly created instance of Operation.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.